## EogImageSaveInfo EogImageSaveInfo |

## Functions

EogImageSaveInfo * | eog_image_save_info_new_from_image ()
EogImageSaveInfo * | eog_image_save_info_new_from_uri ()
EogImageSaveInfo * | eog_image_save_info_new_from_file ()

## Types and Values

struct | EogImageSaveInfo
#define | EOG_FILE_FORMAT_JPEG

## Object Hierarchy

        GObject
        ╰── EogImageSaveInfo

## Description

## Functions

### eog_image_save_info_new_from_image ()

    EogImageSaveInfo *
    eog_image_save_info_new_from_image (EogImage *image);

#### Returns

### eog_image_save_info_new_from_uri ()

    EogImageSaveInfo *
    eog_image_save_info_new_from_uri (const char *uri,
                                      GdkPixbufFormat *format);

#### Returns

### eog_image_save_info_new_from_file ()

    EogImageSaveInfo *
    eog_image_save_info_new_from_file (GFile *file,
                                       GdkPixbufFormat *format);

#### Returns

## Types and Values

### struct EogImageSaveInfo

    struct EogImageSaveInfo;

### EOG_FILE_FORMAT_JPEG

    #define EOG_FILE_FORMAT_JPEG   "jpeg"